def ecc(L):
    # L est une liste de la forme [ (x1,n1) , (x2,n2) , ... ] où les ni sont les effectifs
    E = []
    for i in range( len(L) ):
        if i == 0:
            E.append( ... )
        else:
            E.append( ... )

    return E
